﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace GcDateTimeCellType_CS
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            //set display format for fields
            GrapeCity.Win.Spread.InputMan.CellType.Fields.DateDayDisplayFieldInfo day = new GrapeCity.Win.Spread.InputMan.CellType.Fields.DateDayDisplayFieldInfo();
            day.ShowLeadingZero = true;
            GrapeCity.Win.Spread.InputMan.CellType.Fields.DateMonthDisplayFieldInfo month = new GrapeCity.Win.Spread.InputMan.CellType.Fields.DateMonthDisplayFieldInfo();
            month.ShowLeadingZero = true;
            GrapeCity.Win.Spread.InputMan.CellType.Fields.DateYearDisplayFieldInfo year = new GrapeCity.Win.Spread.InputMan.CellType.Fields.DateYearDisplayFieldInfo();
            year.ShowLeadingZero = true;
            GrapeCity.Win.Spread.InputMan.CellType.Fields.DateLiteralDisplayFieldInfo lday = new GrapeCity.Win.Spread.InputMan.CellType.Fields.DateLiteralDisplayFieldInfo();
            lday.Text = "-";

            GrapeCity.Win.Spread.InputMan.CellType.GcDateTimeCellType gcdateCellDisplayFields = new GrapeCity.Win.Spread.InputMan.CellType.GcDateTimeCellType();
            gcdateCellDisplayFields.DisplayFields.Add(month);
            gcdateCellDisplayFields.DisplayFields.Add(lday);
            gcdateCellDisplayFields.DisplayFields.Add(day);
            gcdateCellDisplayFields.DisplayFields.Add(lday);
            gcdateCellDisplayFields.DisplayFields.Add(year);
            fpSpread1.Sheets[0].Cells[1, 1].CellType = gcdateCellDisplayFields;
            fpSpread1.Sheets[0].Cells[1, 1].Value = DateTime.Now; 
            fpSpread1.Sheets[0].Cells[0, 1].Text = "Below cell shows Formatted Fields separated by "+"-"+" when cell is not in edit mode";
            fpSpread1.Sheets[0].Columns[1].Width = 150;
          
            //Formatting fields
            GrapeCity.Win.Spread.InputMan.CellType.Fields.DateDayFieldInfo dInfo = new GrapeCity.Win.Spread.InputMan.CellType.Fields.DateDayFieldInfo();
            dInfo.BackColor = Color.Lavender;
            GrapeCity.Win.Spread.InputMan.CellType.Fields.DateMonthFieldInfo mInfo = new GrapeCity.Win.Spread.InputMan.CellType.Fields.DateMonthFieldInfo();
            mInfo.BackColor = Color.Azure;
            GrapeCity.Win.Spread.InputMan.CellType.Fields.DateYearFieldInfo yInfo = new GrapeCity.Win.Spread.InputMan.CellType.Fields.DateYearFieldInfo();
            yInfo.BackColor = Color.Crimson;
            GrapeCity.Win.Spread.InputMan.CellType.Fields.DateLiteralFieldInfo lInfo = new GrapeCity.Win.Spread.InputMan.CellType.Fields.DateLiteralFieldInfo();
            lInfo.Text = "/";

            GrapeCity.Win.Spread.InputMan.CellType.GcDateTimeCellType gcdateCellFields = new GrapeCity.Win.Spread.InputMan.CellType.GcDateTimeCellType();
            gcdateCellFields.Fields.Clear();
            gcdateCellFields.Fields.Add(mInfo);
            gcdateCellFields.Fields.Add(lInfo);
            gcdateCellFields.Fields.Add(dInfo);
            gcdateCellFields.Fields.Add(lInfo);
            gcdateCellFields.Fields.Add(yInfo);

            fpSpread1.Sheets[0].Cells[1, 2].CellType = gcdateCellFields;
            fpSpread1.Sheets[0].Cells[1, 2].Value = DateTime.Now; 
            fpSpread1.Sheets[0].Cells[0, 2].Text = "Below cell shows Formatted Fields when cell is in edit mode";
            fpSpread1.Sheets[0].Columns[2].Width = 150;
            
            //validation 
            GrapeCity.Win.Spread.InputMan.CellType.GcDateTimeCellType datecell = new GrapeCity.Win.Spread.InputMan.CellType.GcDateTimeCellType();           
            datecell.ValidateMode = GrapeCity.Win.Spread.InputMan.CellType.ValidateModeEx.ValidateEx;
            fpSpread1.Sheets[0].Cells[1, 0].CellType = datecell;
            fpSpread1.Sheets[0].Cells[1, 0].Value = DateTime.Now; 
            fpSpread1.Sheets[0].Cells[0, 0].Text ="Below cell does not allow invalid dates";

            fpSpread1.Sheets[0].Columns[0].Width = 150;
            fpSpread1.Sheets[0].Rows[0].Height = 50;

            GrapeCity.Win.Spread.InputMan.CellType.GcTextBoxCellType textcell = new GrapeCity.Win.Spread.InputMan.CellType.GcTextBoxCellType();
            textcell.WrapMode = GrapeCity.Win.Spread.InputMan.CellType.WrapMode.WordWrap;
            textcell.Multiline = true;
            fpSpread1.Sheets[0].Cells[0, 0,0,2].CellType = textcell;


        }
    }
}
